/* style.css */

/* Para todo o documento */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Centralizar o container */
.container{
    width: 90%;
    max-width: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Centrar elementos do body com as suas configurações */
body{
    font-family: Arial, sans-serif;
    background: linear-gradient(135deg, #5b86e5, #36d1dc);

    display: flex;
    justify-content: center;
    align-items: center;
}

/* Configuracao do "Skycast" */
.header h1{
    font-size: 60px;
    color: white;
    margin-bottom: 10px;
}

/* Configuracao do paragrafo abaixo do "Skycast" */
.header p{
    font-size: 18px;
    color: white;
}

.search{
    margin-bottom: 30px;
    display: flex;
    justify-content: center;
    margin-top: 80px;
}

.search input{
    width: 320px;
    padding: 14px;
    border: none;
    border-radius: 30px;
    outline: none;
    font-size: 16px;
}

.search button{
    width: 50px;
    border: none;
    border-radius: 50%;
    background-color: white;
    cursor: pointer;
    font-size: 18px;
}

.weather-info{
    background-color: rgba(255, 255, 255, 0.2);
    padding: 35px;
    border-radius: 25px;
    margin-top: 70px;
    color: white;
    display: inline-block;
    backdrop-filter:blur(10px);
    box-shadow: 0 8px 25px rgba(0,0,0,0.2);
    width: 100%;
    max-width: 500px;
}